@import '../colors';

ul.jobs {
  list-style: none;
  padding: 0px;

  a:link {
    color: black;
    text-decoration: none;
  }

  a:hover {
    color: blue;
  }

  a:active {
    color: green;
  }

  color: black;

  li.job {
    .info {
      display: flex;
      font-size: 0.8em;
      line-height: 36px;

      span {
        flex: 1;
      }

      .name {
        padding: 0px 4px;
      }

      .summary {
        text-align: center;

        .duration {
          cursor: pointer;
        }
      }

      .details {
        text-align: right;
        .link {
          cursor: pointer;
          color: @blue;
        }
        .link:before {
          content: '[';
        }
        .link:after {
          content: ']';
        }
      }
    }

    .status {
      font-size: 0.8em;
      text-align: center;
    }

    .status.error {
      display: none;
    }

    .status.completed {
      color: @green;
    }

    .status.processing {
      color: @blue;
    }

    .status.queued {
      color: @purple;
    }

    .status.skipped {
      color: @grey;
    }

    .status.paused {
      background-color: @yellow;
      background-image: linear-gradient(
        135deg,
        white 25%,
        transparent 25.5%,
        transparent 50%,
        white 50.5%,
        white 75%,
        transparent 75.5%,
        transparent
      );
      background-size: 20px 20px;
    }

    .status.dropped {
      color: @grey;
    }

    .bar {
      height: 5px;
    }

    .description {
      display: none;
      text-align: center;
      font-weight: bold;

      label {
        color: @red;
      }
    }
    .description.error {
      display: block;
    }
  }

  li.completed .bar {
    background-color: @green;
  }
  li.error .bar {
    background-color: @red;
  }
  li.queued .bar {
    background-color: @purple;
  }
  li.processing .bar {
    background-color: @blue;
  }
  li.skipped .bar {
    background-color: @grey;
  }
  li.stopped .bar {
    background-color: @yellow;
  }
  li.dropped .bar {
    background-color: @grey;
  }
}
